Bug 121666 - FILESAVE DOCX Second empty page created with Word disappears
Summary: FILESAVE DOCX Second empty page created with Word disappears
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Attila Szűcs
URL:
Whiteboard: target:7.2.0
Keywords:
Depends on:
Blocks: Writer-Page-Break DOCX-Page
  Show dependency treegraph
 
Reported: 2018-11-23 10:26 UTC by NISZ LibreOffice Team
Modified: 2021-03-08 13:40 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
Screenshot of the original document side by side in Word and Writer. (177.32 KB, image/png)
2018-11-23 10:26 UTC, NISZ LibreOffice Team
Details
Example file from Word (19.76 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2018-11-23 10:27 UTC, NISZ LibreOffice Team
Details
The original file saved by Writer (16.45 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2018-11-23 10:27 UTC, NISZ LibreOffice Team
Details
The original file saved by current 6.4 master side by side in Writer and Word (99.43 KB, image/png)
2019-07-09 12:58 UTC, Gabor Kelemen
Details

Note You need to log in before you can comment on or make changes to this bug.
Description NISZ LibreOffice Team 2018-11-23 10:26:38 UTC
Description:
The second empty page in DOCX documents created with Microsoft Word 2010 disappears when the document is exported in LibreOffice Writer and opened in Word 2010.

Steps to Reproduce:
    1. Create a new document in Microsoft Word.
    2. On the Insert tab, in the Pages group, click Page Break.
    3. On the Insert tab, in the Pages group, click Page Break.
    4. On the Page Layout tab, in the Page Setup group, click Breaks.
    5. Choose Next Page.
    6. Save the file as DOCX.
    7. Open the same file in LibreOffice Writer.
    8. Select File and Save As.
    9. Name the file.
    10. Open the exported file in Microsoft Word.
    11. Compare the original file opened in Word and the exported file opened in Word.

Actual Results:
The second page in DOCX documents created with Microsoft Word 2010 is missing when the document is exported in LibreOffice Writer and opened in Word 2010.

Expected Results:
All of the pages should have the same style as the original file opened in Microsoft Word 2010.


Reproducible: Always


User Profile Reset: No



Additional Info:
Comment 1 NISZ LibreOffice Team 2018-11-23 10:26:57 UTC Comment hidden (obsolete)
Comment 2 NISZ LibreOffice Team 2018-11-23 10:27:15 UTC
Created attachment 146963 [details]
Example file from Word
Comment 3 NISZ LibreOffice Team 2018-11-23 10:27:37 UTC
Created attachment 146964 [details]
The original file saved by Writer
Comment 4 Dieter 2018-11-26 08:58:33 UTC Comment hidden (obsolete)
Comment 5 Dieter 2018-11-26 09:06:44 UTC
I confirm this with

Version: 6.2.0.0.beta1 (x64)
Build ID: d1b41307be3f8c19fe6f1938cf056e7ff1eb1d18
CPU threads: 4; OS: Windows 10.0; UI render: default; VCL: win; 
Locale: en-US (de_DE); UI-Language: en-GB
Calc: threaded

I used MS Word 2016
Comment 6 Xisco Faulí 2018-12-12 18:46:28 UTC
Also reproduced in


Version: 4.3.0.0.alpha1+
Build ID: c15927f20d4727c3b8de68497b6949e72f9e6e9e


LibreOffice 3.3.0 
OOO330m19 (Build:6)
tag libreoffice-3.3.0.4
Comment 7 Gabor Kelemen 2019-07-09 12:58:50 UTC
Created attachment 152680 [details]
The original file saved by current 6.4 master side by side in Writer and Word

Still happens: Word shows two pages instead of three.
Comment 8 Commit Notification 2021-02-28 11:47:57 UTC
Attila Szűcs committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/d58229d61b8bbf9eb0db841826e361940c7b2a4a

tdf#121666 DOCX export: fix missing page break

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 NISZ LibreOffice Team 2021-03-08 13:40:11 UTC
Verified in:

Version: 7.2.0.0.alpha0+ (x64) / LibreOffice Community
Build ID: 72841008bf422dfd8553240b3a78f0474d03523c
CPU threads: 4; OS: Windows 10.0 Build 17134; UI render: Skia/Raster; VCL: win
Locale: hu-HU (hu_HU); UI: hu-HU
Calc: threaded Jumbo